package com.hwrj.cloud.admin.mapper;

import com.hwrj.cloud.admin.model.ZipkinDependencies;
import com.hwrj.cloud.admin.model.ZipkinDependenciesExample;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ZipkinDependenciesMapper {
    long countByExample(ZipkinDependenciesExample example);

    int deleteByExample(ZipkinDependenciesExample example);

    int deleteByPrimaryKey(@Param("day") Date day, @Param("parent") String parent, @Param("child") String child);

    int insert(ZipkinDependencies record);

    int insertSelective(ZipkinDependencies record);

    List<ZipkinDependencies> selectByExample(ZipkinDependenciesExample example);

    ZipkinDependencies selectByPrimaryKey(@Param("day") Date day, @Param("parent") String parent, @Param("child") String child);

    int updateByExampleSelective(@Param("record") ZipkinDependencies record, @Param("example") ZipkinDependenciesExample example);

    int updateByExample(@Param("record") ZipkinDependencies record, @Param("example") ZipkinDependenciesExample example);

    int updateByPrimaryKeySelective(ZipkinDependencies record);

    int updateByPrimaryKey(ZipkinDependencies record);
}